# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Error
Epoch:		1
Version:	0.17017
Release:	1.%{__distinit}%{__distvers}
Summary:	Error/exception handling in an OO-ish way
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Error/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/Error-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The Error package provides two interfaces. Firstly Error provides a
procedural interface to exception handling. Secondly Error is a base class
for errors/exceptions that can either be thrown, for subsequent catch, or
can simply be recorded.

%prep
%setup -q -n Error-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
LC_ALL=C ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README examples/
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Error/
%{_mandir}/man3/Error.3pm*
%{_mandir}/man3/Error::Simple.3pm*

%changelog
* Sat Feb 11 2012 Paul Howarth <paul@city-fan.org> 1:0.17017-1
- Update to 0.17017
  - Bleadperl broke Error.pm's tests (CPAN RT#74770)
  - Check for optional trailing periods
- Add buildreqs for core perl modules that might be dual-lived

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> 1:0.17016-4
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1:0.17016-3
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> 1:0.17016-2
- Fix dist tag for RHEL-6 Beta

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> 1:0.17016-1
- Update to 0.17016
  - CPAN RT#46364 - document incompatibility of "use Error qw(:try)" with Moose
  - Add TryCatch and Try::Tiny to the "SEE ALSO"
  - Add the WARNING that this module is no longer recommended
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep  9 2009 Paul Howarth <paul@city-fan.org> 1:0.17015-3
- Define RPM macros in global scope

* Thu Oct 16 2008 Paul Howarth <paul@city-fan.org> 1:0.17015-2
- Import from Fedora

* Sat Aug 02 2008 Steven Pritchard <steve@kspei.com> 1:0.17015-1
- Update to 0.17015

* Sat May 31 2008 Steven Pritchard <steve@kspei.com> 1:0.17014-1
- Update to 0.17014

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1:0.17012-2
- Rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1:0.17012-1
- Update to 0.17012

* Mon Jan 07 2008 Steven Pritchard <steve@kspei.com> 1:0.17011-1
- Update to 0.17011
- Canonicalize Source0 URL
- Fix find option order
- Use fixperms macro instead of our own chmod incantation
- Improve Summary
- Reformat to match cpanspec output
- Build with Module::Build

* Tue Dec 04 2007 Ralf Corsépius <rc040203@freenet.de> - 1:0.17010-1
- Upstream update
- Update license tag

* Sat Oct 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17008-1
- Update to 0.17008

* Wed Oct 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17007-1
- Update to 0.17007

* Sat Oct  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17006-1
- Update to 0.17006
- New build requirements: Test::Pod and Test::Pod::Coverage

* Wed Oct  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17005-1
- Update to 0.17005

* Mon Sep  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17004-1
- Update to 0.17004

* Mon Aug 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17003-1
- Update to 0.17003

* Wed Aug  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17001-1
- Update to 0.17001

* Fri Jul 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.17-1
- Update to 0.17

* Tue Jul 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:0.16-1
- Update to 0.16

* Fri Apr 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15009-1
- Update to 0.15009

* Wed Apr 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15008-1
- Update to 0.15008

* Fri Feb 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15-4
- Rebuild for FC5 (perl 5.8.8)

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15-3
- Dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.15-2
- Rebuilt

* Fri Jun 11 2004 Steven Pritchard <steve@kspei.com> 0:0.15-1
- Specfile autogenerated
